spiv(1)

NAME
spiv - Simple yet Powerful Image Viewer

SYNOPSIS
spiv [options] images|dirs

DESCRIPTION
spiv is a fast, lightweight and minimalistic image viewer build on the top of the GFXprim library.

Spiv supports wide range of image formats, currently supported are JPEG, PNG, GIF, BMP, TIFF, PSP, PSD, PNM, PCX, JPEG2000 and CBZ (as well general ZIP archives with images), and more will come in the near future.

Spiv supports variety of video backends (via GFXprim backends) currently these are X11, Linux Framebuffer, SDL and AAlib. Spiv also supports wide range of backend pixel types from 1bit Grayscale to 32bit RGB with optional Floyd-Steinberg dithering (even, for example, from RGB888 to RGB565).

Spiv implements feh-like image actions, which are short shell scripts with printf-like modifiers. See ACTIONS below for further information.

KEYBOARD CONTROL

Esc, Enter, Q
    Quit spiv

Space
    Move to the next image

BackSpace
    Move to the prev image

PgDown
    Move to the start of directory

PgUp
    Move to the end of directory

Home
    Move to the first image

End Move to the last image

R   Rotate by 90 degrees clockwise

E   Rotate by 90 degrees counterclockwise

W   Toggle fixed, resizable window

D   Turn on/off downscale when image is larger than win

U   Turn on/off upscale when image is smaller than win

H   Show help

I   Toggle show info box

P   Toggle show progress

S   Start/stop slideshow

F1-F10
    Execute action 1 - 10

<, KP Minus
    Zoom out by 50% (by 10% with Shift)

>, KP Plus
    Zoom in by 50% (by 10% with Shift)

1   Resize to the image size

2   Resize to a half of the image size

3   Resize to one third of the image size

9   Resize to one ninth of the image size

0   Resize to one tenth of the image size

Shift 2
    Resize twice of the image size

Shift 3
    Resize three times of the image size

Up  Move image by 10px up (by 1 with Shift)

Down
    Move image by 10px down (by 1 with Shift)

Left
    Move image by 10px left (by 1 with Shift)

Right
    Move image by 10px right (by 1 with Shift)

]   Change to next resampling method

[   Change to prev resampling method

L   Toggle low pass filter

C   Drop image cache

OPTIONS

-h, --help
    Shows this help

Gui

-i, --show-info
    Show image info such as filename, size, etc...

--font-path=value
    Path to TTF font to be used in GUI

--font-height=value
    TTF font height in pixels

-p, --show-progress
    Show progress bar when loading/resampling/... images

-s=value, --slideshow-delay=value
    Delay between images in seconds (float) for slideshow

-d, --dithering
    Turn on Floyd-Steinberg dithering

-o=value, --orientation=value
    Orientation, one of 0, 90, 180, 270

-f, --full-screen
    Start fullscreen.

-b=value, --backend-init=value
    Backend init string, set it to 'help' for more info

Zoom

-w=value, --window-size=value
    Window size, resizeable (-wr) or fixed (-wf)

-z=value, --zoom-strategy=value
    Zoom strategy, none (-zn), upscale (-zu), downscale (-zd) or both (-zb)

-m=value, --max-win-size=value
    Window maximal size, 800x600 for example

Actions

-1=value, --action-1=value

-2=value, --action-2=value

-3=value, --action-3=value

-4=value, --action-4=value

-5=value, --action-5=value

-6=value, --action-6=value

-7=value, --action-7=value

-8=value, --action-8=value

-9=value, --action-9=value

-0=value, --action-10=value
    Sets command line for action 1-10

Devel

-t, --timers
    Turns on cpu and wall clock measurement (printed to stdout)

-e=value, --backend-emulation=value
    Emulate different backend pixel type (G1, G2, RGB555, ...)

--print-man
    Prints spiv man page to stdout

CONFIGURATION FILE
Configuraton file has simple key = value syntax, keys without values are written just as key. Lines started with # are comments. Keys are grouped in namespaces, namespace block is started by [NameSpace] and continues until next namespace.

[Gui]

ShowInfo
    Show image info such as filename, size, etc...

FontPath=value
    Path to TTF font to be used in GUI

FontHeight=value
    TTF font height in pixels

ShowProgress
    Show progress bar when loading/resampling/... images

SlideshowDelay=value
    Delay between images in seconds (float) for slideshow

Dithering
    Turn on Floyd-Steinberg dithering

Orientation=value
    Orientation, one of 0, 90, 180, 270

FullScreen
    Start fullscreen.

BackendInit=value
    Backend init string, set it to 'help' for more info

[Zoom]

WindowSize=value
    Window size, resizeable (-wr) or fixed (-wf)

ZoomStrategy=value
    Zoom strategy, none (-zn), upscale (-zu), downscale (-zd) or both (-zb)

MaxWinSize=value
    Window maximal size, 800x600 for example

[Actions]

1=value

2=value

3=value

4=value

5=value

6=value

7=value

8=value

9=value

10=value
    Sets command line for action 1-10

[Devel]

Timers
    Turns on cpu and wall clock measurement (printed to stdout)

BackendEmulation=value
    Emulate different backend pixel type (G1, G2, RGB555, ...)

Configuration is loaded from /etc/spiv.conf then ~/.spiv and overriden by command line parameters.

ACTIONS
Actions are short shell scripts with printf-like modifiers, the modifiers are substituted to current image path, name, etc. and executed by pressing function keys).

Actions could be set via command line parameters or written into the configuration file and support following modifiers:

%f Path to current image

%F Shell escaped path to current image

%n Current image filename without extension

%N Shell escaped image filename without extension

%e Current image file extension

EXAMPLES

Shows all jpeg images in current directory
spiv *.jpg

Shows all images stored in zip file
spiv images.zip

Shows all loadable images in current directory
spiv .

Runs slideshow with 5 second delay
spiv -s 5 vacation/

Copies currently loaded image into directory 'sorted/' on pressing F1
spiv -1 'cp %F sorted' images/

Emulates 1-bit Grayscale display and turns on Floyd-Steinberg dithering
spiv -e G1 -d images/

Runs slideshow using X root window as backend window
spiv -b 'X11:use_root' -t 10 images/

Same as above but works in KDE
spiv -b 'X11:create_root' -t 10 images/

BUGS
Bugs happen. If you find one, report it on the GFXprim mailing list at gfxprim@ucw.cz

AUTHORS
Spiv is developed by Cyril Hrubis <metan@ucw.cz>

GFXprim was/is developed by:

Cyril Hrubis <metan@ucw.cz>
Jiri "BlueBear" Dluhos <jiri.bluebear.dluhos@gmail.com>
Tomas Gavenciak <gavento@ucw.cz>